#
# spec file for package sh_utils (Version 1.16)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         sh_utils
Release:      13
Copyright:    1985-94 Free Software Foundation, Inc.
Group: 
Provides:     shellutl 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      1.16
Summary:      GNU shellutils
Source: sh-utils-1.12.tar.gz
Source1: sh-utils-1.16.tar.gz
Patch: sh-utils-1.12.dif
Patch1: sh-utils-1.16.dif
%description
The programs in this package include:
basename date dirname echo env expr false logname nice
hohup pathchk printenv printf sleep stty tee test true
who whoami yes tty uname

Authors:
--------
    David J. MacKenzie <djm@gnu.ai.mit.edu>
    Jim Meyering <meyering@na-net.ornl.gov>

%prep
%setup -n sh-utils-1.12 -b 1
%patch
cd ../sh-utils-1.16
%patch -P 1
%build
make -f Makefile.Linux compile
cd ../sh-utils-1.16
make -f Makefile.Linux compile
%install
make -f Makefile.Linux install
mv /usr/bin/expr /usr/bin/expr.old
cd ../sh-utils-1.16
make -f Makefile.Linux install
mv /usr/bin/expr /usr/bin/expr.new
mv /usr/bin/expr.old /usr/bin/expr
Check
%files
%docdir /usr/X11R6/man
%docdir /usr/openwin/man
/bin/date
/bin/echo
/bin/false
/bin/pwd
/bin/sleep
/bin/stty
/bin/su
/bin/true
/bin/uname
/usr/bin/basename
/usr/bin/chroot
/usr/bin/dirname
/usr/bin/env
/usr/bin/expr
/usr/bin/expr.new
/usr/bin/factor
/usr/bin/groups
/usr/bin/id
/usr/bin/logname
/usr/bin/nice
/usr/bin/nohup
/usr/bin/pathchk
/usr/bin/printenv
/usr/bin/printf
/usr/bin/seq
/usr/bin/tee
/usr/bin/test
/usr/bin/tty
/usr/bin/users
/usr/bin/who
/usr/bin/whoami
/usr/bin/yes
%doc /usr/info/sh-utils.info.gz
%doc /usr/man/man1/basename.1.gz
%doc /usr/man/man1/chroot.1.gz
%doc /usr/man/man1/date.1.gz
%doc /usr/man/man1/dirname.1.gz
%doc /usr/man/man1/echo.1.gz
%doc /usr/man/man1/env.1.gz
%doc /usr/man/man1/expr.1.gz
%doc /usr/man/man1/false.1.gz
%doc /usr/man/man1/groups.1.gz
%doc /usr/man/man1/id.1.gz
%doc /usr/man/man1/logname.1.gz
%doc /usr/man/man1/nice.1.gz
%doc /usr/man/man1/nohup.1.gz
%doc /usr/man/man1/pathchk.1.gz
%doc /usr/man/man1/printenv.1.gz
%doc /usr/man/man1/printf.1.gz
%doc /usr/man/man1/pwd.1.gz
%doc /usr/man/man1/sleep.1.gz
%doc /usr/man/man1/stty.1.gz
%doc /usr/man/man1/su.1.gz
%doc /usr/man/man1/tee.1.gz
%doc /usr/man/man1/test.1.gz
%doc /usr/man/man1/true.1.gz
%doc /usr/man/man1/tty.1.gz
%doc /usr/man/man1/uname.1.gz
%doc /usr/man/man1/users.1.gz
%doc /usr/man/man1/who.1.gz
%doc /usr/man/man1/whoami.1.gz
%doc /usr/man/man1/yes.1.gz

